<?php



namespace App\Filters;



use CodeIgniter\HTTP\RequestInterface;

use CodeIgniter\HTTP\ResponseInterface;

use CodeIgniter\Filters\FilterInterface;



class Superadmin implements FilterInterface {



	public function before(RequestInterface $request, $arguments = null) {

        // if user not logged in

        if( session('role') != 0){

            // then redirct to login page

            return redirect()->to('/user/login'); 

    	}

    }



    public function after(RequestInterface $request, ResponseInterface $response, $arguments = null) {

        // Do something here

    }

   

}